-- This file contains the actual demonstration code. The stuff that implements waits and signals
-- is in WaitSupport.lua

--require "Script/languageTable"


function E0106()
	while true do

		-- 기준 값을 선언 --------------------------------------------------------------------------------

		center_x = 640 / 2
		center_y = 1136 / 2

		next_x = 640 / 2
		next_y = 1136 / 2 - 326

		enableTouch(false)
		setNextFlag("Tap")
		SetFontSize( 20 )


		-- 대사창 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0106_01") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()


		-- 대사창 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0106_02") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()


		-- 작은 칠판 오른쪽 + 이미지 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 110 ), cc.c3b(102,51,51), getDesc("dialogE0106_03") )
		ShowImage( cc.p( pos_x, pos_y + 205 + 5 ), "image_E0106_01")
		ShowEdward( cc.p( pos_x + 220, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 대사창 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0106_04") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 작은 칠판 왼쪽 + 스파인 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 130 ), cc.c3b(102,51,51), getDesc("dialogE0106_05") )
		ShowSpine( "Spine01", cc.p( pos_x, pos_y + 205 - 40 ), "E0106_01" )
		PlayAnimationByName( "Spine01", "act_01" )
		ShowEdward( cc.p( pos_x + 220, pos_y ), false )
		

		
		-- 종료 처리 --		
		enableTouch(true, cc.p(center_x, pos_y - 190 - 95 + 9))
		waitSignal("Tap")
		SetEventFlag(106)
		break
	

	end
end

runProcess(E0106)
