-- This file contains the actual demonstration code. The stuff that implements waits and signals
-- is in WaitSupport.lua

--require "Script/languageTable"


function E0241()
	while true do

		-- 기준 값을 선언 --------------------------------------------------------------------------------

		center_x = 640 / 2
		center_y = 1136 / 2

		next_x = 640 / 2
		next_y = 1136 / 2 - 326

		enableTouch(false)
		setNextFlag("Tap")
		SetFontSize( 20 )


		-- 대사창 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0241_01") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )
		
		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 대사창 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0241_02") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 작은 칠판 왼쪽 + 스파인 3개 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 110 ), cc.c3b(102,51,51), getDesc("dialogE0241_03") )
		ShowSpine( "Spine01", cc.p( pos_x - 80, pos_y + 205 ), "E0221_01" )
		PlayAnimationByName( "Spine01", "act_01" )
		ShowSpine( "Spine02", cc.p( pos_x, pos_y + 205 ), "E0221_01" )
		PlayAnimationByName( "Spine02", "act_02" )
		ShowSpine( "Spine03", cc.p( pos_x + 80, pos_y + 205 ), "E0221_01" )
		PlayAnimationByName( "Spine03", "act_03" )
		ShowEdward( cc.p( pos_x - 220, pos_y ), true )

		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()


		-- 작은 칠판 오른쪽 + 이미지 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 110 ), cc.c3b(102,51,51), getDesc("dialogE0241_04") )
		ShowImage( cc.p( pos_x, pos_y + 205 ), "image_E0241_01")
		ShowEdward( cc.p( pos_x + 220, pos_y ), false )

		
		
		-- 종료 처리 --		
		enableTouch(true, cc.p(next_x, next_y))
		waitSignal("Tap")
		SetEventFlag(241)
		break
	

	end
end

runProcess(E0241)
