#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec3 color_rgb;
uniform float fade_phase;

void main() {

	vec4 normalColor = texture2D( CC_Texture0, v_texCoord).rgba;
	gl_FragColor = normalColor;

	if( normalColor.a > 0.2 )
	{
		gl_FragColor.rgb = color_rgb;
		gl_FragColor.a   = fade_phase;
	}
}

