-- This file contains the actual demonstration code. The stuff that implements waits and signals
-- is in WaitSupport.lua

--require "Script/languageTable"


function E0004()
	while true do

		-- 기준 값을 선언 --------------------------------------------------------------------------------

		center_x = 640 / 2
		center_y = 1136 / 2

		next_x = 640 / 2
		next_y = 1136 / 2 - 326

		enableTouch(false)
		setNextFlag("Tap")
		SetFontSize( 20 )



		-- 작은 칠판 오른쪽 + 이미지 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 140 ), cc.c3b(102,51,51), getDesc("dialogE0004_01") )
		ShowImage( cc.p( pos_x, pos_y + 205 + 25 ), "image_E0004_01")
		ShowEdward( cc.p( pos_x + 220, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 대사창 -- 

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0004_02") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 작은 칠판 오른쪽 + 스파인 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 130 ), cc.c3b(102,51,51), getDesc("dialogE0004_03") )
		ShowSpine( "Spine01", cc.p( pos_x, pos_y + 160 ), "E0004_01" )
		PlayAnimationByName( "Spine01", "act_01" )
		ShowEdward( cc.p( pos_x + 220, pos_y ), false )

		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()

		

		-- 작은 칠판 왼쪽 + 이미지 --

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x, pos_y + 205 ), "event_board_small")
		ShowText( cc.p( pos_x, pos_y + 205 + 130 ), cc.c3b(102,51,51), getDesc("dialogE0004_04") )
		ShowImage( cc.p( pos_x, pos_y + 205 ), "image_E0004_02")
		ShowEdward( cc.p( pos_x - 220, pos_y ), true )

		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 대사창 -- 

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0004_05") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )
		ShowArrow( cc.p( 80, 1136 - 200 ), -35 )

		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		enableTouch(false)
		ClearDialogWindow()



		-- 대사창 -- 

		pos_x = center_x
		pos_y = center_y - 120
		ShowImage( cc.p( pos_x - 14, pos_y + 200 ), "event_dialog_balloon")
		ShowText( cc.p( pos_x - 14, pos_y + 200 + 5 ), cc.c3b(102,51,51), getDesc("dialogE0004_06") )
		ShowEdward( cc.p( pos_x + 205, pos_y ), false )
			
		
		-- 종료 처리 --		
		enableTouch(true, cc.p(next_x, next_y + 130))
		waitSignal("Tap")
		SetEventFlag(4)
		break
	

	end
end

runProcess(E0004)
